Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.metadata
Class TransactionSupportMetaData

    java.lang.Object
      org.jboss.resource.metadata.TransactionSupportMetaData

All Implemented Interfaces:
  Serializable

public class TransactionSupportMetaData
extends Object
implements Serializable

Transaction Support meta data

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Field Summary
`static int` | `LocalTransaction` Local transaction
`static int` | `NoTransaction` No transaction
`static int` | `XATransaction` XA transaction

Constructor Summary
`TransactionSupportMetaData()`

Method Summary
`int` | `getTransactionSupport()` Get the transaction support
`void` | `setTransactionSupport(int transactionSupport)` Set the transaction support
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NoTransaction

    public static final int NoTransaction

  No transaction

  See Also:
    Constant Field Values

### LocalTransaction

    public static final int LocalTransaction

  Local transaction

  See Also:
    Constant Field Values

### XATransaction

    public static final int XATransaction

  XA transaction

  See Also:
    Constant Field Values

Constructor Detail

### TransactionSupportMetaData

    public TransactionSupportMetaData()

Method Detail

### getTransactionSupport

    public int getTransactionSupport()

  Get the transaction support

  Returns:
    the transaction support

### setTransactionSupport

    public void setTransactionSupport(int transactionSupport)

  Set the transaction support

  Parameters:
    `transactionSupport` - the transaction support

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.